Skip to main content
POST
Create or update a device

Authorizations

Authorization
string
header
required

Paste an access token from Create an access token. Tokens expire, so request a new one if you receive 401.

Path Parameters

buildingId
string
required

Building identifier from List buildings.

datasourceId
string
required

Data source identifier from List building data sources.

Body

application/json
id
string
required

Device identifier in your source system. Reusing an identifier updates the device.

Example:

"ahu-01"

name
string
required
Example:

"AHU-01"

points
object[]
required
displayName
string
Example:

"Air Handling Unit 1"

path
string

Device path in your source system.

Example:

"/plant/ahu-01"

Response

Number of devices and points created or updated.

deviceSize
integer

Number of devices created or updated.

Example:

1

pointsSize
integer

Number of points created or updated.

Example:

1